Ubuntu

DVD writer not working since hardy upgrade

Reported by AllesMeins on 2008-05-09
194
This bug affects 26 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Nominated for Hardy by Montblanc
Nominated for Intrepid by Montblanc
Nominated for Jaunty by Montblanc
Nominated for Karmic by Montblanc

Bug Description

Scince the hardy upgrade my DVD writer (LG GSA-H55L) is no longer working. Copying files fails with an "Input/output error" and burning a disc stops after a few seconds with nero reporting "DMA-driver error, CRC error". This all worked fine with gutsy and is still working without problems under windows. So it looks like the hardy upgrade broke something.

when trying to copy data from a CD, dmesg reports:

[ 715.769691] Buffer I/O error on device sr0, logical block 13507
[ 715.825081] sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[ 715.825088] sr 3:0:0:0: [sr0] Sense Key : Hardware Error [current]
[ 715.825091] sr 3:0:0:0: [sr0] Add. Sense: Logical unit communication CRC error (Ultra-DMA/32)
[ 715.825095] end_request: I/O error, dev sr0, sector 54032
[ 715.825098] Buffer I/O error on device sr0, logical block 13508
[ 715.831045] sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[ 715.831089] sr 3:0:0:0: [sr0] Sense Key : Hardware Error [current]
[ 715.831092] sr 3:0:0:0: [sr0] Add. Sense: Logical unit communication CRC error (Ultra-DMA/32)
[ 715.831095] end_request: I/O error, dev sr0, sector 54288
[ 715.859007] sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[ 715.859013] sr 3:0:0:0: [sr0] Sense Key : Hardware Error [current]
[ 715.859016] sr 3:0:0:0: [sr0] Add. Sense: Logical unit communication CRC error (Ultra-DMA/32)
[ 715.859021] end_request: I/O error, dev sr0, sector 54028
[ 715.881755] sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[ 715.881762] sr 3:0:0:0: [sr0] Sense Key : Hardware Error [current]
[ 715.881766] sr 3:0:0:0: [sr0] Add. Sense: Logical unit communication CRC error (Ultra-DMA/32)
[ 715.881770] end_request: I/O error, dev sr0, sector 54028
[ 715.883494] sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[ 715.883501] sr 3:0:0:0: [sr0] Sense Key : Hardware Error [current]
[ 715.883504] sr 3:0:0:0: [sr0] Add. Sense: Logical unit communication CRC error (Ultra-DMA/32)
[ 715.883509] end_request: I/O error, dev sr0, sector 54032

Jan Saenz (janfsd) wrote :

I can confirm this bug. Upgraded to Hardy, and now this is happening. My DVD writer model is: Asus DRW-1608P.

Jan Saenz (janfsd) wrote :

A workaround for this is booting with all_generic_ide=1
With this the correct drive speed (udma2 in my case) is detected. Before it was appearing as udma4, maybe it has something to do with that.

Joel Espinosa (jaec) wrote :

I can confirm too. Upgraded to Hardy from 7.10. My device is: PIONEER DVD-RW DVR-109, FwRev=1.40.

Thanks.

doughey (s-doeboy) wrote :

I can also confirm this. I first experienced the problem with DVD Decrypter under wine, but also occurs in Brasero. It may be related that the drive is now /dev/scd0 but used to be /dev/hda. I was running Hardy successfully and it was a recent update that broke burning. My device is an LG GSA H41N. Who wants to trade blanks for some coasters?

Jim Tarvid (tarvid) wrote :

Same here. Somewhat different error messages.

[ 86.386708] ata2.00: ATAPI: Optiarc DVD RW AD-7190A, 1.03, max UDMA/66
[ 86.410377] usb 1-3: new full speed USB device using ohci_hcd and address 2
[ 86.574450] ata2.00: configured for UDMA/66
[ 86.575559] scsi 1:0:0:0: CD-ROM Optiarc DVD RW AD-7190A 1.03 PQ: 0 ANSI: 5

all_generic_ide=1 did not help but perhaps I did not do it right

root@venus:/boot/grub# hdparm -i /dev/scd0

/dev/scd0:

 Model=Optiarc DVD RW AD-7190A , FwRev=1.03 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=yes, tPIO={min:240,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 *udma4
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-4,5,6,7

 * signifies the current active mode

root@venus:/boot/grub# hdparm -X udma2 /dev/scd0

/dev/scd0:
 setting xfermode to 66 (UltraDMA mode2)
SG_IO: bad/missing ATA_16 sense data:: 70 00 05 00 00 00 00 0a 00 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
 HDIO_DRIVE_CMD(setxfermode) failed: Input/output error

Jan Saenz (janfsd) wrote :

Try to recheck if you did boot with the all_generic_ide=1
Other workarounds could be:
1. Booting with irqpoll.
2. Trying to use the 2.6.24-12 kernel.
3. Someone said that he got a better umda cable and now his drive speed was properly seen as udma2.

Jim Tarvid (tarvid) wrote :

Rebooted, esc to get grub menu, e to edit, added all_generic_ide=1 after quiet, DVD did not work, hdparm -i reports udma4.

Bios detects as udma2.

Booting with irqpoll, DVD did not work

Booting with with 2.6.24-12 kernel and DVD did work but screen resolution was "low". Tried remedy offered and now screen resolution is max 1024x768 in both older and newer kernel boots.

Did not have another cable to try although the current cable works with the earlier kernel and on gutsy.

Jan Saenz (janfsd) wrote :

Well I didn't try that workarounds myself. For me it was the same, on gutsy it was working and now no. Let's wait to see if any developer says something about this. And see if the workaround that works for me, work for others.
You could still try a lower version of kernel, but I don't know if that would work.

Early kernel has ugly problems with X.

Copied data DVD to hard drive. I'll get by without DVD for awhile.

Thanks.

On Thu, May 29, 2008 at 2:18 PM, Jan Saenz <email address hidden> wrote:

> Well I didn't try that workarounds myself. For me it was the same, on gutsy
> it was working and now no. Let's wait to see if any developer says something
> about this. And see if the workaround that works for me, work for others.
> You could still try a lower version of kernel, but I don't know if that
> would work.
>
> --
> DVD writer not working since hardy upgrade
> https://bugs.launchpad.net/bugs/228624
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
http://ls.net

doughey (s-doeboy) wrote :

all_generic_ide=1 and irqpoll did not work for me. Using kernel 2.6.24-14 does work. The drive appears as udma4 no matter what (both when working and not working).

Jan Saenz (janfsd) wrote :

Do you get the same messages in dmesg when trying to read a cd?

Jim Tarvid (tarvid) wrote :

Yes. CDs can not be read either.

On Thu, May 29, 2008 at 9:17 PM, Jan Saenz <email address hidden> wrote:

> Do you get the same messages in dmesg when trying to read a cd?
>
> --
> DVD writer not working since hardy upgrade
> https://bugs.launchpad.net/bugs/228624
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
http://ls.net

bassani (claudiobassani) wrote :

Soon as I upgraded my kubuntu to hardy I noted this problems burning Audio CDs. I thought it was my device (PIONEER DVD-RW DVR-110D Version: 1.41) with problems, but when I see the K3B and Nero Linux log I suspected the problem was probably the upgrade.

I'm waiting for correction for this bug as soon as possible.

Claudio Bassani

DarkStarSword (darkstarsword) wrote :
Download full text (6.8 KiB)

+1 from me.
At first I figured I wasn't able to play DVDs because maybe libdvdcss wasn't installed or something and didn't think anything of it, but I've now checked over everything and can confirm that it is the same problem described above. Problem manifested after installing Hardy (I did a clean install courtesy of a hard drive crash - possibly relevant is the fact that I was unable to install using this drive due to IO errors while booting the live CD, likely from this same issue - this may be reason to release an updated install disc once fixed. I also have an external USB LG DVD burner which is working perfectly and I was able to use to install from).

Strangely I am able to read the start of the CD/DVD - enough for the system to recognise the media & filesystem and even mount, but not enough to do anything useful with it. I checked and the last byte that can be read is at location 0xAFFF on one CD, 0x7FFF on another DVD, 0x4FFFF on the same DVD after ejecting & reinserting, etc, etc, etc. There is data accessible further on each disc, but is very patchy as to the exact locations.

sudo hdparm -i /dev/scd0

/dev/scd0:

 Model=PIONEER DVD-RW DVR-111D , FwRev=1.23 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=13395, BuffSize=64kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:240,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 *udma4
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-2,3,4,5

 * signifies the current active mode

Inserting a CD produces this in dmesg (doing anything with drive, CD or DVD produces the first four lines with varying sectors):
[313609.816081] sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[313609.816089] sr 6:0:0:0: [sr0] Sense Key : Hardware Error [current]
[313609.816092] sr 6:0:0:0: [sr0] Add. Sense: Logical unit communication CRC error (Ultra-DMA/32)
[313609.816097] end_request: I/O error, dev sr0, sector 104
[313609.816101] Buffer I/O error on device sr0, logical block 26
[313609.816106] Buffer I/O error on device sr0, logical block 27
[313609.816109] Buffer I/O error on device sr0, logical block 28
[313609.816112] Buffer I/O error on device sr0, logical block 29
[313609.816114] Buffer I/O error on device sr0, logical block 30
[313609.816116] Buffer I/O error on device sr0, logical block 31
[313609.816119] Buffer I/O error on device sr0, logical block 32
[313609.816121] Buffer I/O error on device sr0, logical block 33
[313609.816123] Buffer I/O error on device sr0, logical block 34
[313609.816126] Buffer I/O error on device sr0, logical block 35
[313609.916962] sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[313609.916969] sr 6:0:0:0: [sr0] Sense Key : Hardware Error [current]
[313609.916972] sr 6:0:0:0: [sr0] Add. Sense: Logical unit communication CRC error (Ultra-DMA/32)
[313609.916977] end_request: I/O error, dev sr0, sector 236
[313610.233764] UDF-fs: No VRS found
[313610.267136] ISO 9660 ...

Read more...

dgaretz (dgaretz) wrote :

I can also confirm this bug

root@dgaretz-desktop:/boot/grub# hdparm -i /dev/scd0

/dev/scd0:

 Model=PIONEER DVD-RW DVR-111D , FwRev=1.23 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=13395, BuffSize=64kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:240,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 *udma4
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-2,3,4,5

 * signifies the current active mode

root@dgaretz-desktop:/boot/grub# hdparm -X udma2 /dev/scd0

/dev/scd0:
 setting xfermode to 66 (UltraDMA mode2)
SG_IO: bad/missing ATA_16 sense data:: 70 00 05 00 00 00 00 0a 00 00 00 00 24 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
 HDIO_DRIVE_CMD(setxfermode) failed: Input/output error

in nero linux i always get DMA-error, CRC error at about 8% have tried editing /etc/hdparm.conf by putting in

/dev/scd0 {
dma = off
}

and on but no luck with that

have made lots of coasters... need this to be fixed soon. thanks guys.

dgaretz (dgaretz) wrote :

i didn't try all_generic_ide=1 how would i go about booting w/ that?

Jan Saenz (janfsd) wrote :

Try it at grub. When you get to the menu, press e on your ubuntu line. Then at the second line where it says kernel... press e again, and at the end of that line write all_generic_ide=1.

dgaretz (dgaretz) wrote :

thanks seems to have worked

Jan Saenz (janfsd) wrote :

Good to hear. If you want it to be permanent, edit /boot/grub/menu.lst and add all_generic_ide=1 to defoptions. However this shouldn't be the right solution, I hope some developer will look into this.

elc (3h7lc7u8nyf3) wrote :

Same for me. I had to add the 'all_generic_dma=1' parameter to be able to install 8.04 from the livecd.

In my case, it's with an ASUS DVD reader:
 Model=ASUS DVD-ROM DVD-E616P 0104, FwRev=E1.04 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=13395, BuffSize=64kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: sdma0 sdma1 sdma2 mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 *udma4
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-1,2,3,4,5

I've attached hdparm, dmesg and lspci output

Jim Tarvid (tarvid) wrote :

Adding all_generic_dma=1 changed symptoms but did not make the Sony AD-7190A
functional. I installed a ceneric CDRW - Model=IDE-CD R/RW 48xC and that
works.

On Sun, Jun 8, 2008 at 1:47 PM, elc <email address hidden> wrote:

> Same for me. I had to add the 'all_generic_dma=1' parameter to be able
> to install 8.04 from the livecd.
>
> In my case, it's with an ASUS DVD reader:
> Model=ASUS DVD-ROM DVD-E616P 0104, FwRev=E1.04 , SerialNo=
> Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
> RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
> BuffType=13395, BuffSize=64kB, MaxMultSect=0
> (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
> IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
> PIO modes: pio0 pio1 pio2 pio3 pio4
> DMA modes: sdma0 sdma1 sdma2 mdma0 mdma1 mdma2
> UDMA modes: udma0 udma1 udma2 udma3 *udma4
> AdvancedPM=no
> Drive conforms to: Unspecified: ATA/ATAPI-1,2,3,4,5
>
> I've attached hdparm, dmesg and lspci output
>
>
> ** Attachment added: "all_generic_ide.log"
> http://launchpadlibrarian.net/15126369/all_generic_ide.log
>
> --
> DVD writer not working since hardy upgrade
> https://bugs.launchpad.net/bugs/228624
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
http://ls.net

Jan Saenz (janfsd) wrote :

It is not all_generic_dma=1. It should be all_generic_ide=1.

Jan Saenz (janfsd) wrote :

Nevermind for the last comment, I just saw that you already tried that.

Jonathan Lozinski (j-lozinski) wrote :

my liteon dvd writer suffered similar issues.. The all_generic_ide=1 line seems to have fixed this.. Very interested to know what is causing this issue.. is it a kernel bug?

bassani (claudiobassani) wrote :

Hi,

I updated my /boot/grub/menu.lst, added line:

## additional options to use with the default boot option, but not with the
## alternatives
## e.g. defoptions=vga=791 resume=/dev/hda5
# defoptions=quiet splash locale=pt_BR
defoptions=all_generic_ide=1

I tried the forum proposal but didn't work for me. Did I do something wrong? Follow attached my menu.lst, K3B log and Nero Linux log.

bassani (claudiobassani) wrote :

Hi,

I updated my /boot/grub/menu.lst, added line:

## additional options to use with the default boot option, but not with the
## alternatives
## e.g. defoptions=vga=791 resume=/dev/hda5
# defoptions=quiet splash locale=pt_BR
defoptions=all_generic_ide=1

I tried the forum proposal but didn't work for me. Did I do something wrong? Follow attached my menu.lst, K3B log and Nero Linux log.

Please, I need help because I can't write a CD or DVD since upgrade last April.

Thanks,

Claudio Bassani

bassani (claudiobassani) wrote :

To complete the previous post

=====================================================
hdparm -i /dev/scd0

/dev/scd0:

 Model=PIONEER DVD-RW DVR-110D , FwRev=1.41 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=13395, BuffSize=64kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:240,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 *udma4
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-2,3,4,5

 * signifies the current active mode

=====================================================

Thanks,

Claudio Bassani

Is any of the developers looking into this? I think this is an important problem and I'm a little irritated that it is still marked as "Importance: Undecided" and not assigned to anybody. Is there a way to get attention for this issue?

Jan Saenz (janfsd) wrote :

bassani, it should be:

# defoptions=quiet splash locale=pt_BR all_generic_ide=1

Notice that it should be at the end of the # defoptions line. So you got it wrong. Hope this will work for you.

Jim Tarvid (tarvid) wrote :

My DVDRW is now working. Unfortunately there have been lots of changes:

1) I used the original drive to repair a friends business server and
replaced mine with a new drive of the same model. The old drive worked fine
under XP Pro
2) I installed the DVD drive along side a CDRW fearing being without any
optical capability
3) i used an ATA133 IDE cable. Looks fancy - round, short, shiny
4) i have applied all my updates including 2.6.24-19-generic #1 SMP and I
think I saw a hal update go by recently as well

I copied and burned a NetBeans DVD successfully.

Also used the GUI, added a directory and it burned successfully too.

My guess is that we were/are stuck in kernel/device updating. The current
stable kernel is
*2.6.25.8<http://kernel.org/pub/linux/kernel/v2.6/patch-2.6.25.8.bz2>
*I am not sure how the kernel people -
http://kernel.org/pub/linux/docs/lkml/reporting-bugs.html - would treat
issues from a specific version. Also not sure how Ubuntu decides when to
update kernels.

Also fixed a problem with network-admin by changing properties for System,
Administration, Network deleting gksu in front of network-admin.

Jim Tarvid

On Sun, Jun 22, 2008 at 6:10 PM, AllesMeins <email address hidden> wrote:

> Is any of the developers looking into this? I think this is an important
> problem and I'm a little irritated that it is still marked as
> "Importance: Undecided" and not assigned to anybody. Is there a way to
> get attention for this issue?
>
> --
> DVD writer not working since hardy upgrade
> https://bugs.launchpad.net/bugs/228624
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
http://ls.net

DarkStarSword (darkstarsword) wrote :

bassani: As Jan has already pointed out, it should be:
# defoptions=quiet splash locale=pt_BR all_generic_ide=1
you should also run
sudo update-grub
after making that change which will propagate that change to all
normal boot stanzas.

nzadLithium (cmaster2) wrote :

I have same problem. all_generic_ide does fix. The only notable change i could find is upon adding that to kernel line udma mode is now set to 2 instead of 4 which is what i believe someone above said? Since this only happened when i upgraded the kernel and using an old kernel fixes it then it is likely to be a regression in kernel? Has anyone tried compiling the latest kernel and seeing if that fixes? (I'm not going to attempt because last time i tried compiling a kernel i got lost :p )

I can confirm this problem and the all_generic_ide fix. I noticed the problem when trying to rip or play a CD using my DVD writer. Playback of the CD was noisy and screechy. Ripping (sound-juicer) was extremely slow and produced files containing the same noise and screeching. Using all_generic_ide=1 results in UDMA2 mode instead of UDMA4 (Bios detects UDMA2) and CD playback (and ripping) is normal again.

Thanks for the all_generic_ide workaround and let`s hope for bugfix.
Hardware: mobo=Asus A8N, DVD=Sony DVD RW DW-D22A

dalroth (bryan-murphy) wrote :

I have the same problem. I tried the all_generic_ide option, and this (+reboot) fix the problem with one DVD for me, but I have another DVD that still will not rip (using vobcopy -m).

[ 0.000000] Kernel command line: root=UUID=3535bf16-9ea9-4577-ab9e-9b0af65de21c ro quiet splash all_generic_ide

root@HTPC01:/proc/sys/kernel# uname -a
Linux HTPC01 2.6.24-19-generic #1 SMP Wed Jun 4 16:35:01 UTC 2008 i686 GNU/Linux

root@HTPC01:/boot/grub# hdparm -i /dev/scd0

/dev/scd0:

 Model=PHILIPS SPD6104P , FwRev=NP03 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio3 pio4
 DMA modes: *sdma0 *sdma1 *sdma2 sdma? mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 udma4 *udma5
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-4,5,6,7

 * signifies the current active mode

Perham (perham-x) wrote :

bug confirmed here.

LITE-ON DVD-RW

I have my dvd operational at udma2, but it cannot read anything.
Disabled IDE buffer prefetch in Bios Didn't work
Used all_generic_ide=1 Didn't work
Used irqpoll Didn't work
selected UDMA2 in Bios Didn't work
Tried Kernel 2.6.17-12 Didn't work
Tried Sysresccd 0.4.2 to browse Didn't work
Tried Windows Works :(( I hate windows

I have no idea how to fix it. I used every possible solution provided here, and yet it gives me that crappy Buffer I/O error. why isn't anyone up to this problem? seems like a great epidemic problem. it's more likely a kernel issue.

description: updated
DarkStarSword (darkstarsword) wrote :

Perham: Sounds like you are suffering from a different bug to the rest
of us (though yes, both would likely be kernel issues, hence why this
bug is for 'Linux'). You might want to search and see if you can find
a closer match or open a new bug.

Zac Brown (rufius) wrote :

bug confirmed on Thinkpad T61.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
Zac Brown (rufius) wrote :

To follow up, I did extensive testing on my new laptop (Thinkpad T61 model 7658-CTO).

I installed the following distros:

1) Mandriva 2008 Spring
2) Fedora 9
3) Debian Lenny
4) Debian Sid (upgrade from Lenny as this is the only way)
5) OpenSuSE 11
6) Ubuntu 8.04 - Hardy
7) Ubuntu 7.10 - Gutsy

I had three criterion for the distributions to stay on the laptop and they were as follows: 1) Brightening/dimming the laptop screen *must* work properly, 2) Wifi should be at least detected on the laptop and finally, 3) DVD playback must work.

Of these, only Ubuntu(8.04 and 7.10) passed brightening/dimming (1), most passed wifi detection with Fedora and Ubuntu working best, and all EXCEPT Ubuntu 8.04 worked for dvd playback.

The laptop presently has Gutsy on it as it was the one best fitting my needs.

From the above test, which took forever, you can see that this is definitely something wrong with Hardy. I'm not sure what, but I'll bet the kernel. The all_generic_ide=1 fix does not work with my laptop. The problem still manifests itself regardless of fixes attempted. Short of reverting kernels to a Hardy beta kernel, I have no option but to use a different distribution. That is, the last three kernels do not work with dvd playback.

Zac Brown (rufius) wrote :

Per request of the #ubuntu-kernel team I've installed Hardy (via Wubi) and then installed the latest Intrepid kernel on top of that. The error still exists and the following is the dmesg output:

[ 67.099125] UDF-fs: No VRS found
[ 67.142871] ISO 9660 Extensions: Microsoft Joliet Level 1
[ 67.147485] ISOFS: changing to secondary root
[ 329.162891] UDF-fs: Partition marked readonly; forcing readonly mount
[ 329.196359] UDF-fs INFO UDF: Mounting volume 'FAMILYGUY_BH_VAN', timestamp 2007/11/26 23:55 (1e5c)
[ 576.343237] end_request: I/O error, dev sr0, sector 3358676
[ 576.343247] Buffer I/O error on device sr0, logical block 839669
[ 576.343250] Buffer I/O error on device sr0, logical block 839670
[ 576.343252] Buffer I/O error on device sr0, logical block 839671
[ 576.343260] Buffer I/O error on device sr0, logical block 839672
[ 576.343261] Buffer I/O error on device sr0, logical block 839673
[ 576.343263] Buffer I/O error on device sr0, logical block 839674
[ 576.343272] Buffer I/O error on device sr0, logical block 839675
[ 576.343274] Buffer I/O error on device sr0, logical block 839676
[ 576.343276] Buffer I/O error on device sr0, logical block 839677
[ 576.343277] Buffer I/O error on device sr0, logical block 839678
[ 578.549202] end_request: I/O error, dev sr0, sector 3644752
[ 578.554597] end_request: I/O error, dev sr0, sector 3644752

This output is nearly identical to that of what a Hardy kernel spit out.

I have a T61 laptop running latest Intrepid (2.6.24-4) and I have the same problem. The CD works, and I can mount DVDs, but if I try to copy a file from the DVD to the HD then I get the end_request and Buffer I/O errors.

One poster said that other distros were working... could they mention which kernel version was OK?

Changed in linux:
status: Triaged → Fix Released
37 comments hidden view all 117 comments
Kip Warner (kip) wrote :

Well that's a relief because it means I don't have to go out and buy a new burner.

andrewmcnnz (andrew-scoop) wrote :

Charles Atkinson, I don't think your problem is the same as that of the Original Poster. The OP's report does not have the 'attempt to access beyond end of device' error message which you and I have. See this post for a bit more analysis of the problem by me:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/244445/comments/14

I just investigated your workaround a bit. You're right that HAL is involved. I killed HAL and udev and was then able to mount disks successfully.

Hello Andrew :-)

Interesting analysis.

You are correct to write "The OP's report does not have the 'attempt to access beyond end of device' error message". That message was not reported here until https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/comments/14 . I have seen a bewildering variety of error messages since 23 Nov 08!

By 7 March 09 intermittent read failures (despite the /etc/hal/fdi/policy/preferences.fdi workaround) had become so frequent I returned the drive under warranty and fitted a new drive pending replacement of the first. I backed out the /etc/hal/fdi/policy/preferences.fdi workaround and all was well for a week or so.

Then read failures began again. Now with a new replacement for the original drive I am often able to workaround the problem by moving the media to the other drive; if that doesn't work, cleaning the media often works; if that doesn't work, new media works (I am backing up to DVD so the read failures happen during verification and re-writing backup files to DVD is easy). In the early days of this problem, rebooting often got around the problem but that is less convenient now because of some long-running tasks.

I believe there is more than one bug here because so many different error messages and workarounds have been given in this report. The triggering cause may be deficient error recovery. The picture may be complicated by interactions amongst ubuntu components.

I will modify the backup script to log messages from /var/log/kern.log after a DVD read failure in the hope of building a statistical picture

Best

Charles

checkit (checkit) wrote :

Changing status from "Fix released" to "Confirmed". This bug has never been fixed. I can confirm that this bug exists in Intrepid, Jaunty, and Karmic (alpha3).

I have reproduced this bug with the following mainline kernels:
2.6.27-02062710-generic
2.6.30-02063003-generic

Booting with the 2.6.24-02062406-generic mainline kernel (which corresponds to one of the Ubuntu kernels last used in Hardy) and reading/writing CDs does not cause the bug.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed

Further to my 2009-04-25 comment, no statistical picture has emerged. It is difficult to be sure of anything with such an intermittent problem but I have been getting very good results from cleaning the DVD since starting to use a micro-fibre cloth (sold for cleaning LCD screens) even when the DVD looks perfectly clean. If my impression (that slightly dirty DVDs can trigger the problem) is correct then it supports the idea that the cause of the problem is in error recovery.

Yariv (nushoin) wrote :

Bug still exists in 9.04.
All DVD burners fail when trying to burn DVD+R.
Burning DVD-R media does work however.

Giacomo (poderi1980) wrote :

I have the same problem and trying to test the various workarounds suggested here.

The problem on my laptop (asus a6k) emerged after 8.10 -> 9.04 upgrade. I though my burner was broken, and replaced it with a brand new one. Still same errors and problems.

I cannot burn anything :/

This is booted with all_generic_ide=1:
hdparm -i /dev/cdrom

/dev/cdrom:

 Model=TSSTcorp CDDVDW SN-S082H , FwRev=SB01 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:383,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2
 AdvancedPM=no
 Drive conforms to: unknown:

 * signifies the current active mode

Kip Warner (kip) wrote :

I have a similar model, ASUS A7J laptop.

$ hdparm -i /dev/cdrom

/dev/cdrom:

 Model=TSSTcorp CDDVDW TS-L633A , FwRev=TM00 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:383,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 udma4 *udma5
 AdvancedPM=no

 * signifies the current active mode

Giacomo (poderi1980) wrote :

After having tested it with the 'solutions' provided in this thread I can say that the bug still affects me.

The DVD burner is correctly identified as UDMA2 both with and without the optios at boot:
all_generic_ide=1
irqpoll

$ hdparm -i /dev/cdrom

/dev/cdrom:

 Model=TSSTcorp CDDVDW SN-S082H , FwRev=SB01 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:383,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2
 AdvancedPM=no
 Drive conforms to: unknown:

 * signifies the current active mode

Reading DVD/CDs works fine, but I cannot burn.

This is the message I get any time I enter a blank dvd (tested with DVD-R)
[ 177.784082] cdrom: This disc doesn't have any tracks I recognize!
[ 178.306282] end_request: I/O error, dev sr0, sector 0
[ 178.306294] Buffer I/O error on device sr0, logical block 0
[ 178.504803] end_request: I/O error, dev sr0, sector 0
[ 178.504817] Buffer I/O error on device sr0, logical block 0

As reported in the thread (#76), I sometimes manage to burn small size files (although I try various speeds the burner never works faster than ~1.5X)
Trying to burn a DVD of about 3GB (or more) data inevitably fails.

$ uname -r

2.6.28-16-generic

regards,
gp

Johannes (ichhabekeineemail) wrote :

i can confirm it on 9.04
its not possible to read any dvd, or to write a dvd.
reading cd-roms works.

[ 141.148913] sr 5:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[ 141.148921] sr 5:0:0:0: [sr0] Sense Key : Medium Error [current]
[ 141.148926] sr 5:0:0:0: [sr0] Add. Sense: Id CRC or ECC error
[ 141.148933] end_request: I/O error, dev sr0, sector 64
[ 141.148940] Buffer I/O error on device sr0, logical block 8

Linux 2.6.28-16-generic #55-Ubuntu SMP Tue Oct 20 19:48:24 UTC 2009 i686 GNU/Linux

hdparam -i /dev/sr0:

 Model=HL-DT-STDVDRRW GWA-4164B , FwRev=1.01 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: sdma0 sdma1 sdma2 mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-2,3,4,5

 * signifies the current active mode

Bernd Butscheidt (bbutscheidt) wrote :

On Ububunt 9.04, I switched to kernel 2.6.24-24 with solved the described problem. Now on 9.10 I see no option like this.

Is there a way out? I had no luck with all_generic_ide=1 so far:

root@cw-desktop:/home_save/cw# hdparm -d /dev/scd0

/dev/scd0:
 HDIO_GET_DMA failed: Inappropriate ioctl for device
root@cw-desktop:/home_save/cw# hdparm -i /dev/scd0

/dev/scd0:

 Model=HL-DT-ST, FwRev=RL01, SerialNo=K096CB94328
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 *udma4
 AdvancedPM=no
 Drive conforms to: unknown: ATA/ATAPI-4,5,6,7

 * signifies the current active mode

Autmount is working, but I get significant read errors:

dmesg shows:

[ 426.644147] end_request: I/O error, dev sr0, sector 3515332
[ 504.796075] rpcbind: server 192.168.0.103 not responding, timed out
[ 975.212123] sr 3:0:0:0: [sr0] Unhandled sense code
[ 975.212133] sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 975.212138] sr 3:0:0:0: [sr0] Sense Key : Hardware Error [current]
[ 975.212145] sr 3:0:0:0: [sr0] Add. Sense: Logical unit communication CRC error (Ultra-DMA/32)
[ 975.212152] end_request: I/O error, dev sr0, sector 128

and so on ...

It' s a bootable DVD. I have no problem to boot linux from this DVD with this drive on the same PC.

After recent updates, same problem occurs here on a lenovo thinkpad T61p, with original DVD's. Booting with all_generic_ide=1 does not help and is supported by the fact that udma2 is used already.

hdparm -i /dev/cdrom:

Model=Optiarc, FwRev=1.D1, SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=yes, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2
 AdvancedPM=no

Dmesg shows repeated:
Jan 3 14:22:12 T61p kernel: [ 128.331569] sr 3:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jan 3 14:22:12 T61p kernel: [ 128.331581] sr 3:0:0:0: [sr0] Sense Key : Illegal Request [current]
Jan 3 14:22:12 T61p kernel: [ 128.331591] sr 3:0:0:0: [sr0] Add. Sense: Read of scrambled sector without authentication

Forgot to mention: Ubuntu 9.10, kernel 2.6.31-16

Lorenco Trichardt (trichalo) wrote :

[ 1.477773] sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[ 1.477863] sr 4:0:0:0: Attached scsi CD-ROM sr0
[ 1.477905] sr 4:0:0:0: Attached scsi generic sg1 type 5

[ 713.474383] cdrom: This disc doesn't have any tracks I recognize!
[ 713.486113] sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 713.486118] sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current]
[ 713.486124] sr 4:0:0:0: [sr0] Add. Sense: Logical block address out of range
[ 713.486130] end_request: I/O error, dev sr0, sector 0
[ 713.486135] __ratelimit: 6 callbacks suppressed
[ 713.486138] Buffer I/O error on device sr0, logical block 0
[ 713.490949] sr 4:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 713.490955] sr 4:0:0:0: [sr0] Sense Key : Illegal Request [current]
[ 713.490960] sr 4:0:0:0: [sr0] Add. Sense: Logical block address out of range
[ 713.490966] end_request: I/O error, dev sr0, sector 0
[ 713.490971] Buffer I/O error on device sr0, logical block 0
[ 980.309130] gnomebaker[2961]: segfault at e ip 06866090 sp bfe8ba64 error 4 in libc-2.10.1.so[67fb000+13e000]
[ 1218.712272] warning: `growisofs' uses 32-bit capabilities (legacy support in use)

Linux ibmtux 2.6.31-19-generic #56-Ubuntu SMP Thu Jan 28 01:26:53 UTC 2010 i686 GNU/Linux

Help!! This is bad.... can't write DVD's (Making frisbees!) :o)

We need a workaround at least ....

Did somebody of you have tested to burn cd/dvd on console, disabling hal before? I had similar problems and worked around it with disabling hal.

You have to prepare an isoimage (via your frontend tool of choice, gbaker, brasero, k3b) or use existing image if available for above steps.

1. Switch to Console via ctrl+alt+F1
2. Kill X
 $ /etc/init.d/gdm stop (replace with kdm for kde users)
3. Kill hald
 $ /etc/init.d/hal(d) stop
4.1 Burn CD (for those having issue with CD)
 $ cdrecord isoimage.iso
4.2 Burn DVD (for those having issue with DVD)
 $ growisofs -dvd-compat -Z /dev/sr0=isoimage.iso (replace sr0 with your dvddrive)

protoman (protomank) wrote :

Having this problem on 9.10 intermitently:

/dev/cdrom:
 HDIO_DRIVE_CMD(identify) failed: Bad address

 Model=TSSTcorpCD/DVDW, FwRev=0514, SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2
 AdvancedPM=no

 * signifies the current active mode

d4v1dv00 (davidvoo) wrote :

I am affected too. With Dell Inspiron 1520 and TSST TS-L632H slim 8x DVD+/-RW

Greg Fletcher (gfletc) wrote :

Hi Gunnar, I followed your instructions to disable X and hald. I was not able to burn a DVD:

$ growisofs -dvd-compat -Z /dev/sr0=image.iso
:-( write failed: Input/output error

$ dmesg | tail -50
...(snip)...
[ 1108.402618] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0
[ 1108.402630] ata1.00: BMDMA stat 0x45
[ 1108.402640] ata1.00: failed command: READ DMA
[ 1108.402655] ata1.00: cmd c8/00:40:b6:28:1a/00:00:00:00:00/e5 tag 0 dma 32768 in
[ 1108.402658] res 51/40:40:c2:28:1a/00:00:00:00:00/e5 Emask 0x9 (media error)
[ 1108.402665] ata1.00: status: { DRDY ERR }
[ 1108.402670] ata1.00: error: { UNC }
[ 1108.425418] ata1.00: configured for UDMA/66
[ 1108.440295] ata1.01: configured for UDMA/66
[ 1108.440337] sd 0:0:0:0: [sda] Unhandled sense code
[ 1108.440343] sd 0:0:0:0: [sda] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[ 1108.440352] sd 0:0:0:0: [sda] Sense Key : Medium Error [current] [descriptor]
[ 1108.440362] Descriptor sense data with sense descriptors (in hex):
[ 1108.440367] 72 03 11 04 00 00 00 0c 00 0a 80 00 00 00 00 00
[ 1108.440385] 05 1a 28 c2
[ 1108.440392] sd 0:0:0:0: [sda] Add. Sense: Unrecovered read error - auto reallocate failed
[ 1108.440404] sd 0:0:0:0: [sda] CDB: Read(10): 28 00 05 1a 28 b6 00 00 40 00
[ 1108.440422] end_request: I/O error, dev sda, sector 85600450
[ 1108.440472] ata1: EH complete

Details of the DVD writer as reported by lshw:

$ sudo lshw
...
           *-cdrom
                description: DVD writer
                product: DVD-RW DVR-107D
                vendor: PIONEER
                physical id: 1
                bus info: scsi@1:0.0.0
                logical name: /dev/cdrom2
                logical name: /dev/cdrw2
                logical name: /dev/dvd2
                logical name: /dev/dvdrw2
                logical name: /dev/scd0
                logical name: /dev/sr0
                version: 1.10
                capabilities: removable audio cd-r cd-rw dvd dvd-r
                configuration: ansiversion=5 status=ready
              *-medium
                   physical id: 0
                   logical name: /dev/cdrom2
...

Francis Liu (fishzle) wrote :

I am still encountering this on up to date Lucid.

Linux gurgle 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 22:02:19 UTC 2010 i686 GNU/Linux

It's a SATA drive

$ hdparm -i /dev/sr0

/dev/sr0:
 HDIO_DRIVE_CMD(identify) failed: Bad address

 Model=PIONEER, FwRev=1.02, SerialNo=IIQC248529WL
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 udma4 *udma5
 AdvancedPM=no
 Drive conforms to: unknown: ATA/ATAPI-3,4,5,6,7

 * signifies the current active mode

$ sudo lshw

*-cdrom
                description: DVD-RAM writer
                product: DVD-RW DVR-218L
                vendor: PIONEER
                physical id: 0.0.0
                bus info: scsi@2:0.0.0
                logical name: /dev/cdrom5
                logical name: /dev/cdrw5
                logical name: /dev/dvd5
                logical name: /dev/dvdrw5
                logical name: /dev/scd0
                logical name: /dev/sr0
                version: 1.02
                capabilities: removable audio cd-r cd-rw dvd dvd-r dvd-ram
                configuration: ansiversion=5 status=ready
              *-medium
                   physical id: 0
                   logical name: /dev/cdrom5

Duarte Rocha (duarte-rocha) wrote :

Also noticing it in Lucid.

I am able to read DVD, but not CDs.

cdrom: This disc doesn't have any tracks I recognize!
sr 0:0:1:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
sr 0:0:1:0: [sr0] Sense Key : Illegal Request [current]
sr 0:0:1:0: [sr0] Add. Sense: Logical block address out of range
sr 0:0:1:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
end_request: I/O error, dev sr0, sector 0

frause (f-beck) wrote :

I have the very same as #14 in ubuntu maverick 10.10 (fresh install) with my external Sony USB drive!

Can't read nor write... Any suggestions so far?

Montblanc (montblanc) wrote :

Can some of you nominate this bug for Lucid, Maverick and Natty? I can't nominate bugs anymore, I don't know why, but it would be best if some of you could, because this bug has been here for years and no developer cares about it.

frause (f-beck) wrote :

is it possible that this a general problem? when i copy the whole DVD to HD (from an external computer dvd drive) and try to rip it via DVD:RIP I get the following error:

[quote]
Command: execflow tccat -i /media/motherspace/temp/Videos/Good Cop -T 14 | dvdrip-progress -m 25 -i 1 | head -c 25m > /home/sebastian/dvdrip-data/TheGoodCoop/tmp/dvdrip.audioprobe.4105.vob && tcprobe -i /home/sebastian/dvdrip-data/TheGoodCoop/tmp/dvdrip.audioprobe.4105.vob && echo EXECFLOW_OK; rm -f /home/sebastian/dvdrip-data/TheGoodCoop/tmp/dvdrip.audioprobe.4105.vob

Output: libdvdread: Encrypted DVD support unavailable.
************************************************
** **
** No css library available. See **
** /usr/share/doc/libdvdread4/README.Debian **
** for more information. **
** **
************************************************
libdvdread: Can't stat /media/motherspace/temp/Videos/Good
No such file or directory
[tccat] critical: (pid=6658) failed to open DVD /media/motherspace/temp/Videos/Good
25/25
[fileinfo.c] warning: [fileinfo.c:125] file read error: Success
[probe_ffmpeg.c] critical: unable to open '/home/sebastian/dvdrip-data/TheGoodCoop/tmp/dvdrip.audioprobe.4105.vob' (libavformat failure)
[tcprobe] critical: failed to probe source
[/quote]

das (dasanv) wrote :

confirmed in maverick 10.10
hdparm -i /dev/cdrom

/dev/cdrom:
 HDIO_DRIVE_CMD(identify) failed: Bad address

 Model=SONY DVD RW DRU-190A, FwRev=1.63, SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=unknown, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=yes, tPIO={min:240,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 *udma4
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-4,5,6,7

 * signifies the current active mode

Biji (biji) wrote :

I'm using 10.04 LTS, can not burn DVD iso:
kinda annoying, if there is standalone apps which workaround this bug please share

hdparm -i /dev/sr0

/dev/sr0:

 Model=HL-DT-ST, FwRev=EV02, SerialNo=K3882CB5606
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2
 AdvancedPM=no
 Drive conforms to: unknown: ATA/ATAPI-4,5,6,7

 * signifies the current active mode

Biji (biji) wrote :

see attachment... disk free of my new dvd+R, it is only 400MB which should be 4.7 GB
i've tried other dvd type, also give same result :(

Jim Tarvid (tarvid) wrote :

The disk free is the amount after writing the queued contents.

My problem went away ages ago when I replaced the data cable. The "bug" was
introduced when the kernel became more aggressive about UDMA. My guess is
the kernel's guess on capability may be optimistic.

On Mon, Dec 13, 2010 at 9:40 AM, Biji <email address hidden> wrote:

> see attachment... disk free of my new dvd+R, it is only 400MB which should
> be 4.7 GB
> i've tried other dvd type, also give same result :(
>
> ** Attachment added: "Screenshot-Image Burning Setup.png"
>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/1764742/+files/Screenshot-Image%20Burning%20Setup.png
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/228624
>
> Title:
> DVD writer not working since hardy upgrade
>

--
Rev. Jim Tarvid, PCA
Galax, Virginia
http://ls.net
http://drupal.ls.net

Biji (biji) wrote :

I'm sorry to discuss it here, but i'm using laptop.. can't find where the data cable is. it is internal dvd writer

thanks

Hi I am a linux newbie, my system is On Maverick Meerkat 10.10, I have it dual booted with Windows Vista (which I hate having to boot into!), but this is what I've found, all DVD's + and - work perfectly under Vista, so certainly not a hardware problem.

I first couldn't read DVD-R's applications like brasero failed to recognise that a DVD was in the drive.

However when I checked System->Administration->Disk Utility this showed that a DVD was mounted, to my surprise when I clicked unmount, everything worked, Brasero included. I don't know enough about Linux to know what that means, but I hope it helps one of you guys figure out the problem.

I have a Matshita DVD-RAM UJ-840S in a portable caddy. This works just fine with XP, Vista and Windows 7 32 and 64bit. Using Ubuntu 10.10 and also 10.04LTS the drive is detected, but just becomes busy when a CD or DVD is put in it.

I do not believe it is the cable, having tried at least half a dozen.

This problem seems to be related to this issue.

Extract from sudo lshw

  *-scsi
          physical id: 1
          bus info: usb@1:7
          logical name: scsi7
          capabilities: emulated scsi-host
          configuration: driver=usb-storage
        *-cdrom
             description: DVD-RAM writer
             product: DVD-RAM UJ-840S
             vendor: MATSHITA
             physical id: 0.0.0
             bus info: scsi@7:0.0.0
             logical name: /dev/cdrom4
             logical name: /dev/cdrw4
             logical name: /dev/dvd4
             logical name: /dev/dvdrw4
             logical name: /dev/scd1
             logical name: /dev/sr1
             version: 1.11
             capabilities: removable audio cd-r cd-rw dvd dvd-r dvd-ram
             configuration: status=open

Becomes

     *-scsi
          physical id: 1
          bus info: usb@1:7
          logical name: scsi7
          capabilities: emulated scsi-host
          configuration: driver=usb-storage
        *-cdrom
             description: DVD-RAM writer
             product: DVD-RAM UJ-840S
             vendor: MATSHITA
             physical id: 0.0.0
             bus info: scsi@7:0.0.0
             logical name: /dev/cdrom4
             logical name: /dev/cdrw4
             logical name: /dev/dvd4
             logical name: /dev/dvdrw4
             logical name: /dev/scd1
             logical name: /dev/sr1
             version: 1.11
             capabilities: removable audio cd-r cd-rw dvd dvd-r dvd-ram
             configuration: status=busy

hdparm -i //dev/sr1

Gives

//dev/sr1:
 HDIO_DRIVE_CMD(identify) failed: Bad address
 HDIO_GET_IDENTITY failed: Invalid argument

das (dasanv) wrote :

It was solved for me by passing
kernel parameter
libata.dma=1

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Jim

Jim Tarvid
Internet Engineer at LSNet
Johnson City, Tennessee Area

Confirm that you know Jim Tarvid
https://www.linkedin.com/e/l4x8zk-goaoxhbj-30/isd/3040026913/91FsLJH6/

--
(c) 2011, LinkedIn Corporation

Wow, I bet Jim and Bug have a friendship that transcends the
machine-human interface.

On 05/29/2011 05:38 PM, Jim Tarvid wrote:
> LinkedIn
> ------------
>
>
> Bug,
>
> I'd like to add you to my professional network on LinkedIn.
>
> - Jim
>
> Jim Tarvid
> Internet Engineer at LSNet
> Johnson City, Tennessee Area
>
> Confirm that you know Jim Tarvid
> https://www.linkedin.com/e/l4x8zk-goaoxhbj-30/isd/3040026913/91FsLJH6/
>
>
>

Andrew Janke (a.janke) wrote :

Absolutely.

Sausages are good too.

A

On 2011-06-01, max <email address hidden> wrote:
> Wow, I bet Jim and Bug have a friendship that transcends the
> machine-human interface.
>
> On 05/29/2011 05:38 PM, Jim Tarvid wrote:
>> LinkedIn
>> ------------
>>
>>
>> Bug,
>>
>> I'd like to add you to my professional network on LinkedIn.
>>
>> - Jim
>>
>> Jim Tarvid
>> Internet Engineer at LSNet
>> Johnson City, Tennessee Area
>>
>> Confirm that you know Jim Tarvid
>> https://www.linkedin.com/e/l4x8zk-goaoxhbj-30/isd/3040026913/91FsLJH6/
>>
>>
>>
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/228624
>
> Title:
> DVD writer not working since hardy upgrade
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+subscribe
>

Jim Tarvid (tarvid) wrote :

That's true! The Law of Unintended Consequences. I went to delete the
comments but found no mechanism for doing so.

I beg your indulgence - this too shall pass (but after a few more
automatic mailings from LinkedIn).

Jim
On Tue, May 31, 2011 at 12:11 PM, max <email address hidden> wrote:
> Wow, I bet Jim and Bug have a friendship that transcends the
> machine-human interface.
>
> On 05/29/2011 05:38 PM, Jim Tarvid wrote:
>> LinkedIn
>> ------------
>>
>>
>> Bug,
>>
>> I'd like to add you to my professional network on LinkedIn.
>>
>> - Jim
>>
>> Jim Tarvid
>> Internet Engineer at LSNet
>> Johnson City, Tennessee Area
>>
>> Confirm that you know Jim Tarvid
>> https://www.linkedin.com/e/l4x8zk-goaoxhbj-30/isd/3040026913/91FsLJH6/
>>
>>
>>
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/228624
>
> Title:
>  DVD writer not working since hardy upgrade
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+subscribe
>

--
Rev. Jim Tarvid, PCA
12897A Grays Pointe Road, Fairfax, Va 22033
38.8778239, -77.392696
http://ls.net
http://d7.ls.net

bigchuy (m-f) wrote :

I can confirm that this problem is still happening in v11.10

AllesMeins, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

tags: added: kernel-media needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (3.4 KiB)

I'm afraid it remained an issue for so long that I got a mac after
10yrs of Linux use.

Sent from my iPhone

On 23 Jul 2012, at 17:06, "Christopher M. Penalver"
<email address hidden> wrote:

> AllesMeins, this bug was reported a while ago and there hasn't been any
> activity in it recently. We were wondering if this is still an issue?
> Can you try with the latest development release of Ubuntu? ISO CD images
> are available from http://cdimage.ubuntu.com/releases/ .
>
> If it remains an issue, could you run the following command in the
> development release from a Terminal
> (Applications->Accessories->Terminal). It will automatically gather and
> attach updated debug information to this report.
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, if you could test the latest upstream kernel available that would
> be great. It will allow additional upstream developers to examine the
> issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do
> not test the kernel in the daily folder, but the one all the way at the
> bottom. Once you've tested the upstream kernel, please remove the
> 'needs-upstream-testing' tag. This can be done by clicking on the yellow
> pencil icon next to the tag located at the bottom of the bug description
> and deleting the 'needs-upstream-testing' text. As well, please comment
> on which kernel version specifically you tested.
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> If you are unable to test the mainline kernel, for example it will not
> boot, please add the tag: 'kernel-unable-to-test-upstream', and comment
> as to why specifically you were unable to test it.
>
> Please let us know your results. Thanks in advance.
>
> ** Tags added: kernel-media needs-upstream-testing
>
> ** Attachment removed: "hardybug"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/302461/+files/hardybug
>
> ** Attachment removed: "unnamed"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/302742/+files/unnamed
>
> ** Attachment removed: "unnamed"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/302856/+files/unnamed
>
> ** Attachment removed: "all_generic_ide.log"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/306004/+files/all_generic_ide.log
>
> ** Attachment removed: "unnamed"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/306054/+files/unnamed
>
> ** Attachment removed: "228624.zip"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/311098/+files/228624.zip
>
> ** Attachment removed: "228624.zip"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/311100/+files/228624.zip
>
> ** Attachment removed: "unnamed"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/311211/+files/unnamed
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bu...

Read more...

Jim Tarvid (tarvid) wrote :
Download full text (4.4 KiB)

I had switched to SATA DVDs a while back but I tried to get a PATA running
and ran into the kernel detecting my cable as a 40 wire when I knew it was
80. My suspicion is that even when it thinks it is an 80 wire, it chooses a
DMA level that cannot be sustained. I put in a SATA instead.

Jim

On Mon, Jul 23, 2012 at 1:30 PM, Jonathan Lozinski <
<email address hidden>> wrote:

> I'm afraid it remained an issue for so long that I got a mac after
> 10yrs of Linux use.
>
> Sent from my iPhone
>
> On 23 Jul 2012, at 17:06, "Christopher M. Penalver"
> <email address hidden> wrote:
>
> > AllesMeins, this bug was reported a while ago and there hasn't been any
> > activity in it recently. We were wondering if this is still an issue?
> > Can you try with the latest development release of Ubuntu? ISO CD images
> > are available from http://cdimage.ubuntu.com/releases/ .
> >
> > If it remains an issue, could you run the following command in the
> > development release from a Terminal
> > (Applications->Accessories->Terminal). It will automatically gather and
> > attach updated debug information to this report.
> >
> > apport-collect -p linux <replace-with-bug-number>
> >
> > Also, if you could test the latest upstream kernel available that would
> > be great. It will allow additional upstream developers to examine the
> > issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do
> > not test the kernel in the daily folder, but the one all the way at the
> > bottom. Once you've tested the upstream kernel, please remove the
> > 'needs-upstream-testing' tag. This can be done by clicking on the yellow
> > pencil icon next to the tag located at the bottom of the bug description
> > and deleting the 'needs-upstream-testing' text. As well, please comment
> > on which kernel version specifically you tested.
> >
> > If this bug is fixed in the mainline kernel, please add the following
> > tag 'kernel-fixed-upstream'.
> >
> > If the mainline kernel does not fix this bug, please add the tag:
> > 'kernel-bug-exists-upstream'.
> >
> > If you are unable to test the mainline kernel, for example it will not
> > boot, please add the tag: 'kernel-unable-to-test-upstream', and comment
> > as to why specifically you were unable to test it.
> >
> > Please let us know your results. Thanks in advance.
> >
> > ** Tags added: kernel-media needs-upstream-testing
> >
> > ** Attachment removed: "hardybug"
> >
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/302461/+files/hardybug
> >
> > ** Attachment removed: "unnamed"
> >
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/302742/+files/unnamed
> >
> > ** Attachment removed: "unnamed"
> >
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/302856/+files/unnamed
> >
> > ** Attachment removed: "all_generic_ide.log"
> >
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/306004/+files/all_generic_ide.log
> >
> > ** Attachment removed: "unnamed"
> >
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624/+attachment/306054/+files/unnamed
> >
> > ** Attachment removed: "228624.zip"
> >
> https://bugs.launchpad.ne...

Read more...

checkit (checkit) wrote :

I reported a related bug on bugzilla.kernel.org back in 2009. Basically there was a regression in the kernel logic for detecting 40 and 80 wire PATA cables.

The bug was marked as WON'T FIX but may be related:

Cannot read CD: "Logical unit communication CRC error"
https://bugzilla.kernel.org/show_bug.cgi?id=13882

Displaying first 40 and last 40 comments. View all 117 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.